// Copyright (c) 2013 AT&T (htpp://developer.att.com)
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

#import "IAMMessageIndexInfo.h"

@implementation IAMMessageIndexInfo

+(NSString *)formatCacheStatus:(IAMIndexCacheStatus)status{

    NSString* formattedStatus= nil;
    
    switch (status) {
        case ICSNotInitialized:
            formattedStatus= @"NOT_INITIALIZED";
            break;
        case ICSInitializing:
            formattedStatus= @"INITIALIZING";
            break;
        case ICSInitialized:
            formattedStatus= @"INITIALIZED";
            break;
        case ICSError:
            formattedStatus= @"ERROR";
            break;
        default:
            formattedStatus= @"Unrecognized status";
            break;
    }
    
    return formattedStatus;
}


+(IAMIndexCacheStatus)statusFromString:(NSString *)statusString{

    IAMIndexCacheStatus status= ICSError;
    
    if ([statusString isEqualToString:@"NOT_INITIALIZED"]) {
        status= ICSNotInitialized;
    }else if ([statusString isEqualToString:@"INITIALIZING"]) {
        status= ICSInitializing;
    }else if ([statusString isEqualToString:@"INITIALIZED"]) {
        status= ICSInitialized;
    }else if ([statusString isEqualToString:@"ERROR"]) {
        status= ICSError;
    }
    
    return status;
}

@end
