// Copyright (c) 2013 AT&T (htpp://developer.att.com)
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

#import "IAMUtils.h"
#import "IAMMessage.h"

@implementation IAMUtils

+(NSDictionary*)getJSONFromResource:(NSString*)name{
    
    NSString *filePath = [[NSBundle bundleForClass:[self class]]
                          pathForResource:name ofType:@"json"];
    NSData *data = [NSData dataWithContentsOfFile:filePath];
    NSDictionary *json = [NSJSONSerialization JSONObjectWithData:data options:kNilOptions error:nil];
    
    return json;
}

+(NSString *)stringFromTypesFilter:(NSArray *)typesFilter{

    NSMutableString* filterString= [[NSMutableString alloc]init];
    
    for (int i=0; i<typesFilter.count; ++i) {
        
        IAMMessageType type= [typesFilter[i] intValue];
        [filterString appendString:[IAMMessage formatMessageType:type]];
        
        if (i<typesFilter.count-1) {
            [filterString appendString:@","];
        }
    }
    
    return filterString;
}


@end
