// Copyright (c) 2013 AT&T (htpp://developer.att.com)
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

#import "MyCustomXCTestCase.h"
#import "IAMMessage.h"
#import "IAMUtils.h"

@interface TestIAMUtils : MyCustomXCTestCase


@end

@implementation TestIAMUtils

- (void)setUp
{
    [super setUp];
    // Put setup code here; it will be run once, before the first test case.
}

- (void)tearDown
{
    // Put teardown code here; it will be run once, after the last test case.
    [super tearDown];
}

- (void)testStringFromTypesFilter
{
    // Test 1
    NSArray* typesFilter= @[[NSNumber numberWithInteger:MTMMS],
                            [NSNumber numberWithInteger:MTSMS],
                            [NSNumber numberWithInteger:MTTEXT]];
    NSString* expectedString=@"MMS,SMS,TEXT";
    NSString* stringFromTypesFilter = [IAMUtils stringFromTypesFilter:typesFilter];
    XCTAssert( [expectedString isEqualToString:stringFromTypesFilter],
              @"Error: Expected: %@ but received: %@", expectedString, stringFromTypesFilter);

    // Test 2
    typesFilter= @[[NSNumber numberWithInteger:MTMMS],
                   [NSNumber numberWithInteger:MTSMS]];
    expectedString= @"MMS,SMS";
    stringFromTypesFilter= [IAMUtils stringFromTypesFilter:typesFilter];
    XCTAssert( [expectedString isEqualToString:stringFromTypesFilter],
              @"Error: Expected: %@ but received: %@", expectedString, stringFromTypesFilter);
}

@end
