#!/bin/sh

# This script will generate the documentation using appledoc: 
# https://github.com/tomaz/appledoc#readme
# http://kapeli.com/docsets

SRC_DIR=$1
TARGET_DIR=$2

# clean old docs
if [ -d $TARGET_DIR ]; then
	echo "Deleting old docs $TARGET_DIR"
	rm -Rf $TARGET_DIR
fi
echo "Create clean $TARGET_DIR"
mkdir $TARGET_DIR

# generate new HTML and docset with `appledoc`
echo "Generating docs at $TARGET_DIR"

APPLEDOC="/usr/local/bin/appledoc"
$APPLEDOC --project-name "In-App Messaging" --project-company "AT&T" \
--company-id com.att --ignore ".m" --explicit-crossref --keep-undocumented-objects \
--keep-undocumented-members --no-repeat-first-par --no-warn-missing-arg --no-warn-undocumented-object \
--no-warn-undocumented-member --no-warn-empty-description --docset-bundle-id "In-App Messaging" \
--docset-bundle-name "In-App Messaging" --keep-intermediate-files --output $TARGET_DIR $SRC_DIR


# copy all .h files
echo "Creating dir for the Docs sources at $TARGET_DIR"
mkdir $TARGET_DIR/source
cp $(find $SRC_DIR -name "*.[h]") $TARGET_DIR/source