#!/bin/sh

# number of lines to remove from the top
TOP_LINES=$1

function add_copyright_notice {

	TARGET=$1

	for file in $(find $TARGET -name "*.[mh]"); do
		output=$file

		if [ ${file: -2} == ".m" ]; then
			tmp_name=${file%.m}.mtmp
		elif [ ${file: -2} == ".h" ]; then
			tmp_name=${file%.h}.htmp
		fi

		#create temporary file
		echo "Moving file $file to $tmp_name\n";
		mv $file $tmp_name

		# Prepend the contents of the file `LICENSE` as a commnent
		echo "$(sed '/^/s|^|// |' InAppMessaging/LICENSE)"> $output

		# Removes the TOP_LINES from the file before appending
		tail -n +$TOP_LINES $tmp_name >> $output

		#delete temporary file
		rm $tmp_name
	done

}

add_copyright_notice "InAppMessaging/InAppMessaging"
add_copyright_notice "InAppMessaging/InAppMessagingTests"
add_copyright_notice "InAppMessaging/OAuthTests"



